## Replay retained webhook events

**post** `/v1/webhook_endpoints/{endpoint}/replays`

Accept a bounded replay of events still present in account history.
Account-event history has no fixed minimum retention period in beta.
Retrying the same acceptance key recovers its response for 24 hours.

### Path Parameters

- `endpoint: string`

### Header Parameters

- `"Idempotency-Key": string`

### Body Parameters

- `after_cursor: optional string`

  Exclusive event-log cursor. Omit to begin inclusively at retained history.

- `through_cursor: optional string`

  Inclusive event-log cursor. Omit to snapshot the committed tail.

### Returns

- `ReplayAcceptance object { id, after_cursor, created_at, 3 more }`

  - `id: string`

  - `after_cursor: string`

  - `created_at: string`

  - `selected: number`

  - `state: "pending"`

    - `"pending"`

  - `through_cursor: string`

### Example

```http
curl https://whatsapp.messages.api.linqapp.com/v1/webhook_endpoints/$ENDPOINT/replays \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LINQ_WHATSAPP_API_KEY" \
    -d '{}'
```

#### Response

```json
{
  "id": "id",
  "after_cursor": "after_cursor",
  "created_at": "2019-12-27T18:11:19.117Z",
  "selected": 0,
  "state": "pending",
  "through_cursor": "through_cursor"
}
```
